## libwhisker2-perl 2.5

=== Makefile ===
# this is a passthru makefile for libwhisker2

DESTDIR=

lib:
	perl Makefile.pl lib

build:
	perl Makefile.pl lib

install:
	export DESTDIR
	perl Makefile.pl install

clean:
	perl Makefile.pl clean

nopod:
	perl Makefile.pl nopod

uninstall:
	export DESTDIR
	perl Makefile.pl uninstall

=== debian/changelog ===
libwhisker2-perl (2.5-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to DebHelper 13
  * Apply Multi-Arch: hint
  * Bump Standards-Version to 4.7.2

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Aug 2025 11:32:00 +0200

libwhisker2-perl (2.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/{compat,control}.
    (Closes: #965696)
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add missing targets.
    (Closes: #999044)

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Jan 2022 18:31:42 +0100

libwhisker2-perl (2.5-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 16:29:32 +0100

libwhisker2-perl (2.5-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version. No changes required.
  * Update debian/copyright since this software is now BSD licensed.
  * Switch to 3.0 quilt format.
  * Add Vcs-* fields in debian/control
  * Convert debian/copyright to machine readable format

 -- Vincent Bernat <bernat@debian.org>  Mon, 08 Feb 2010 22:57:12 +0100

libwhisker2-perl (2.4-1) unstable; urgency=low

  * Initial package (Closes: #435948, #435979)

 -- Vincent Bernat <bernat@luffy.cx>  Sun, 23 Mar 2008 14:48:20 +0100

=== debian/control ===
Source: libwhisker2-perl
Section: perl
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: perl, debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: http://www.wiretrip.net/rfp/lw.asp
Vcs-Browser: https://salsa.debian.org/debian/libwhisker2-perl
Vcs-Git: https://salsa.debian.org/debian/libwhisker2-perl.git

Package: libwhisker2-perl
Architecture: all
Multi-Arch: foreign
Depends:
 perl:any,
 ${perl:Depends},
 ${misc:Depends},
Recommends: libnet-ssleay-perl
Description: Perl module geared for HTTP testing
 This package provides LibWhisker 2 (LW2), a flexible, portable and
 self-contained Perl module implementing fast and small replacements
 to the usual HTTP testing functions, as available in LWP, URI,
 HTML::Parser, MIME::Base64, etc.
 .
 It supports:
    - HTTP 0.9, 1.0, and 1.1;
    - persistent connections (with keep-alives);
    - proxying;
    - anti-IDS features;
    - SSL (through libnet-ssleay-perl);
    - chunked encoding;
    - basic and NTLM authentication.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

execute_after_dh_auto_build:
	pod2man --section=3perl LW2.pm > debian/LW2.3perl

execute_after_dh_auto_install:
	install -m 0755 -d $(CURDIR)/debian/libwhisker2-perl/usr/share/perl5
	install -m 0644 LW2.pm $(CURDIR)/debian/libwhisker2-perl/usr/share/perl5/LW2.pm

=== debian/watch ===
version=3
http://www.wiretrip.net/rfp/libwhisker/libwhisker2-([\d\.]+)\.tar\.gz
